> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adullam.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account info

> Retrieve partner account information

# Get Account Info

The Get Account Info API allows you to retrieve detailed information about your Adullam account, including account ID, Business name, contact details, Email and account status.


## OpenAPI

````yaml get /v1/account
openapi: 3.0.3
info:
  title: Adullam Payment API
  version: 1.0.0
  description: >
    Adullam is a payment processing platform for mobile money transactions in
    West Africa.


    This API enables developers to:

    - Collect payments from customers via mobile money

    - Send money to recipients

    - Track transactions and account balance


    ## Authentication

    All endpoints (except auth endpoints) require Bearer token authentication.


    ## Base URL

    Production: `https://api.adullam.dev`


    ## Rate Limiting

    - 100 requests per minute

    - 1000 requests per hour
  contact:
    email: support@adullam.dev
    url: https://docs.adullam.dev
  license:
    name: Proprietary
    url: https://adullam.dev/terms
servers:
  - url: https://api.adullam.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Partner authentication and token management
  - name: Payments
    description: Collect money from customers via mobile money
  - name: Transfers
    description: Send money to recipients via mobile money
  - name: Account
    description: Account and balance management
paths:
  /v1/account:
    get:
      tags:
        - Account
      summary: Get account info
      description: Retrieve partner account information
      responses:
        '200':
          description: Account information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Account:
      type: object
      properties:
        partner_id:
          type: string
          example: partner_abc123
        business_name:
          type: string
          example: My Store
        phone:
          type: string
          example: '+22507123456'
        email:
          type: string
          example: contact@mystore.com
        status:
          type: string
          enum:
            - active
            - inactive
            - suspended
            - pending_verification
          example: active
        created_at:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00Z'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - authentication_error
                - invalid_request
                - insufficient_funds
                - rate_limit_exceeded
                - channel_error
                - transaction_failed
                - server_error
              example: invalid_request
            code:
              type: string
              example: amount_too_low
            message:
              type: string
              example: Amount must be at least 100 XOF
            field:
              type: string
              nullable: true
              example: amount
            request_id:
              type: string
              example: req_abc123
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              type: authentication_error
              code: invalid_token
              message: Invalid or expired access token
              request_id: req_abc123
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use the access token obtained from /v1/auth/token

````